/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { FinancialChartDropDownControl } from "./FinancialChartDropDownControl";
import { FinancialChartTypePickerViewModel } from "./FinancialChartTypePickerViewModel";
import { FinancialChartTypePickerView } from "./FinancialChartTypePickerView";
import { runOn, markType } from "igniteui-react-core/ES5/type";
var FinancialChartTypePicker = /** @class */ (function (_super) {
    tslib_1.__extends(FinancialChartTypePicker, _super);
    function FinancialChartTypePicker(a) {
        var _this = _super.call(this, "financialChartTypePicker", a, FinancialChartTypePicker.y) || this;
        _this.n = new FinancialChartTypePickerView();
        _this.o = new FinancialChartTypePickerViewModel();
        _this.o.onSelectionChanged = runOn(_this, _this.u);
        _this.o.a = runOn(_this.n, _this.n.j);
        _this.n.a = _this.o;
        return _this;
    }
    Object.defineProperty(FinancialChartTypePicker.prototype, "v", {
        get: function () {
            return this.x.chartType;
        },
        set: function (a) {
            this.x.chartType = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FinancialChartTypePicker.prototype, "w", {
        get: function () {
            return this.n;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FinancialChartTypePicker.prototype, "x", {
        get: function () {
            return this.o;
        },
        enumerable: true,
        configurable: true
    });
    FinancialChartTypePicker.prototype.get_r = function () {
        return ".financialChartTypePickerDropDownButton";
    };
    Object.defineProperty(FinancialChartTypePicker.prototype, "r", {
        get: function () {
            return this.get_r();
        },
        enumerable: true,
        configurable: true
    });
    FinancialChartTypePicker.prototype.get_s = function () {
        return ".financialChartTypePickerDropDownMenu";
    };
    Object.defineProperty(FinancialChartTypePicker.prototype, "s", {
        get: function () {
            return this.get_s();
        },
        enumerable: true,
        configurable: true
    });
    FinancialChartTypePicker.y = "<button class='financialChartTypePickerDropDownButton'></button>\n\t<div class='financialChartTypePickerDropDownMenu'>\n\t\t<ul>\n\t\t\t<li data-value='Auto'>Auto</li>\n\t\t\t<li data-value='Bar'>Bar</li>\n\t\t\t<li data-value='Line'>Line</li>\n\t\t\t<li data-value='Candle'>Candle</li>\n\t\t\t<li data-value='Column'>Column</li>\n\t\t</ul>\n\t</div>";
    FinancialChartTypePicker.$t = markType(FinancialChartTypePicker, 'FinancialChartTypePicker', FinancialChartDropDownControl.$);
    return FinancialChartTypePicker;
}(FinancialChartDropDownControl));
export { FinancialChartTypePicker };
/*<BeginStatics Name="Infragistics.Controls.Charts.FinancialChartTypePicker" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.FinancialChartTypePicker" />*/
